
Member Nodes - Task #3801

MNDeployment # 3221 (Operational): EDAC member node 

Task # 3412 (Closed): Test the EDAC node for Tier1 conformance

resource map resource URIs need to use cn/v1/resolve

2013-06-11 21:29 - Rob Nahf

Status: Closed Start date: 2013-06-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

In the rdf:resource attribute, your urls are directing users back to your member node. For objects listed in DataONE, we have the url

point to our resolution service on the coordinating nodes. The reason we do that is to separate the entity from where it's located.

The " https://cn.dataone.org/cn/v1/resolve " method returns all of the member nodes where the item can be found, so that if a node is

down for some reason, or the content is migrated to a different server, the url in the map still works.

so instead of:

dcterms:identifier7f115193-ea2b-4486-ba72-afe51008dc71/dcterms:identifier

cito:isDocumentedBy http://129.24.63.115/apps/dataone/v1/object /5760e5ef-efef-4c97-b393-79850d1b67b3/cito:isDocumentedBy

dcterms:descriptionData object (7f115193-ea2b-4486-ba72-afe51008dc71)/dcterms:description

dc:titleDataset: 5760e5ef-efef-4c97-b393-79850d1b67b3/dc:title

/rdf:Description

it should be:

dcterms:identifier7f115193-ea2b-4486-ba72-afe51008dc71/dcterms:identifier

cito:isDocumentedBy https://cn.dataone.org/cn/v1/resolve /5760e5ef-efef-4c97-b393-79850d1b67b3/cito:isDocumentedBy

History

#1 - 2013-07-02 23:52 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

fixed.

#2 - 2013-07-23 18:14 - Laura Moyers

- Target version changed from Deploy by end of Y4Q4 to 315

#3 - 2013-11-05 17:23 - Rob Nahf

- Target version changed from 315 to Deploy by end of Y5Q2

#4 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#5 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

2024-04-25 1/2

https://cn.dataone.org/cn/v1/resolve
redmine.dataone.org/dcterms:identifier
http://129.24.63.115/apps/dataone/v1/object
redmine.dataone.org/cito:isDocumentedBy
redmine.dataone.org/dcterms:description
redmine.dataone.org/dc:title
redmine.dataone.org/rdf:Description
redmine.dataone.org/dcterms:identifier
https://cn.dataone.org/cn/v1/resolve
redmine.dataone.org/cito:isDocumentedBy


#6 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
